Package be.ehealth.businessconnector.therlink.domain

# Class TherapeuticLink.Builder

java.lang.Object
be.ehealth.businessconnector.therlink.domain.TherapeuticLink.Builder

Enclosing class:
  `TherapeuticLink`

public static class TherapeuticLink.Builder extends Object
TherapeuticLink static builder

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TherapeuticLink`
  `build()`
  `TherapeuticLink.Builder`
  `withComment(String comment)`
  `TherapeuticLink.Builder`
  `withEndDate(Instant date)`
  `TherapeuticLink.Builder`
  `withEndDateTime(Instant date)`
  `TherapeuticLink.Builder`
  `withHcParty(HcParty hcp)`
  `TherapeuticLink.Builder`
  `withPatient(Patient patient)`
  `TherapeuticLink.Builder`
  `withStartDate(Instant date)`
  `TherapeuticLink.Builder`
  `withStartDateTime(Instant date)`
  `TherapeuticLink.Builder`
  `withStatus(TherapeuticLinkStatus status)`
  `TherapeuticLink.Builder`
  `withType(String type)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Builder

    public Builder()

- ## Method Details

  - ### withPatient

    public TherapeuticLink.Builder withPatient(Patient patient)

  - ### withHcParty

    public TherapeuticLink.Builder withHcParty(HcParty hcp)

  - ### withStartDate

    public TherapeuticLink.Builder withStartDate(Instant date)

  - ### withEndDate

    public TherapeuticLink.Builder withEndDate(Instant date)

  - ### withStartDateTime

    public TherapeuticLink.Builder withStartDateTime(Instant date)

  - ### withEndDateTime

    public TherapeuticLink.Builder withEndDateTime(Instant date)

  - ### withType

    public TherapeuticLink.Builder withType(String type)

  - ### withComment

    public TherapeuticLink.Builder withComment(String comment)

  - ### build

    public TherapeuticLink build()

  - ### withStatus

    public TherapeuticLink.Builder withStatus(TherapeuticLinkStatus status)
    Parameters:
      `status` -
    Returns: